Bug 1514067 - sub-man calls virt-what without absolute path
Summary: sub-man calls virt-what without absolute path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Hnidek
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 15:26 UTC by Chris Snyder
Modified: 2018-04-10 09:53 UTC (History)
10 users (show)

Fixed In Version: subscription-manager-1.20.6-1
Doc Type: No Doc Update
Doc Text:
Cause: subscription-manager calls virt-what without the absolute path. Consequence: When running on a machine with a non-standard PATH, subscription-manager failed to collect certain virtualization facts. Fix: subscription-manager calls virt-what using its absolute path. Result: subscription-manager can collect virtualization facts even when the environment has a non-standard PATH.
Clone Of: 1511610
Environment:
Last Closed: 2018-04-10 09:52:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0681 None None None 2018-04-10 09:53:21 UTC
Github candlepin subscription-manager pull 1732 None None None 2017-11-22 13:30:17 UTC
Red Hat Bugzilla 1511610 None None None Never
Red Hat Knowledge Base (Solution) 3236861 None None None 2017-11-16 15:26:16 UTC

Internal Links: 1511610

Comment 5 Shwetha Kallesh 2017-12-07 12:22:54 UTC
Verification:

System is registered successfully and dont see any OSError in the logs

[root@dhcp35-7 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.0.43-1
subscription management rules: 5.26
subscription-manager: 1.20.7-1.el7

[skallesh@shwetha-laptop ~]$ ssh 10.70.35.7 "sudo subscription-manager register --force --org=11343157 --activationkey=test"
Unregistering from: subscription.rhsm.stage.redhat.com:443/subscription
The system with UUID d99fd8f0-5339-4706-9d1a-fa6f00ad25c8 has been unregistered
All local data removed
The system has been registered with ID: ee0c2af7-45c6-4c08-86e2-651d36eab52d
The registered system name is: dhcp35-7.lab.eng.blr.redhat.com
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Not Subscribed

Unable to find available subscriptions for all your installed products.



2017-12-07 17:51:10,871 [INFO] subscription-manager:32164:MainThread @managercli.py:452 - X-Correlation-ID: f77163b11f3f467fa991e952ba7f03f3
2017-12-07 17:51:10,872 [INFO] subscription-manager:32164:MainThread @managercli.py:341 - Client Versions: {'subscription-manager': '1.20.7-1.el7'}
2017-12-07 17:51:10,872 [INFO] subscription-manager:32164:MainThread @connection.py:841 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ insecure=False
2017-12-07 17:51:10,873 [INFO] subscription-manager:32164:MainThread @connection.py:841 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=none
2017-12-07 17:51:10,873 [INFO] subscription-manager:32164:MainThread @managercli.py:341 - Client Versions: {'subscription-manager': '1.20.7-1.el7'}
2017-12-07 17:51:10,888 [INFO] subscription-manager:32164:MainThread @managercli.py:317 - Consumer Identity name=dhcp35-7.lab.eng.blr.redhat.com uuid=d99fd8f0-5339-4706-9d1a-fa6f00ad25c8
2017-12-07 17:51:10,889 [INFO] subscription-manager:32164:MainThread @managercli.py:317 - Consumer Identity name=dhcp35-7.lab.eng.blr.redhat.com uuid=d99fd8f0-5339-4706-9d1a-fa6f00ad25c8
2017-12-07 17:51:13,447 [INFO] subscription-manager:32164:MainThread @connection.py:561 - Response: status=204, requestUuid=173c2107-02ce-43b9-8b26-4bcd3456008d, request="DELETE /subscription/consumers/d99fd8f0-5339-4706-9d1a-fa6f00ad25c8"
2017-12-07 17:51:13,448 [INFO] subscription-manager:32164:MainThread @unregister.py:55 - Successfully un-registered.
2017-12-07 17:51:13,448 [ERROR] subscription-manager:32164:MainThread @identity.py:145 - Reload of consumer identity cert /etc/pki/consumer/cert.pem raised an exception with msg: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'
2017-12-07 17:51:13,450 [INFO] subscription-manager:32164:MainThread @managerlib.py:869 - Cleaned local data
2017-12-07 17:51:13,450 [INFO] subscription-manager:32164:MainThread @managercli.py:1067 - --force specified, unregistered old consumer: d99fd8f0-5339-4706-9d1a-fa6f00ad25c8
2017-12-07 17:51:13,451 [INFO] subscription-manager:32164:MainThread @connection.py:841 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=none
2017-12-07 17:51:13,483 [INFO] subscription-manager:32164:MainThread @dmiinfo.py:75 - Using dmidecode dump file: /dev/mem
2017-12-07 17:51:17,308 [INFO] subscription-manager:32164:MainThread @connection.py:561 - Response: status=200, requestUuid=053f4c1b-5b01-4c7f-9fec-27026ba60016, request="POST /subscription/consumers?owner=11343157&activation_keys=test"
2017-12-07 17:51:17,310 [INFO] subscription-manager:32164:MainThread @managerlib.py:71 - Consumer created: dhcp35-7.lab.eng.blr.redhat.com (ee0c2af7-45c6-4c08-86e2-651d36eab52d)
2017-12-07 17:51:17,312 [INFO] subscription-manager:32164:MainThread @connection.py:841 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ insecure=False
2017-12-07 17:51:19,713 [INFO] subscription-manager:32164:MainThread @connection.py:561 - Response: status=200, request="GET /subscription/"
2017-12-07 17:51:22,454 [INFO] subscription-manager:32164:MainThread @connection.py:561 - Response: status=200, requestUuid=ffacfa06-cdd4-4471-8d33-5c2c5ec80c14, request="GET /subscription/status"
2017-12-07 17:51:22,455 [INFO] subscription-manager:32164:MainThread @managercli.py:352 - Server Versions: {'rules-version': u'5.26', 'candlepin': u'2.0.43-1', 'server-type': u'Red Hat Subscription Management'}
2017-12-07 17:51:24,897 [INFO] subscription-manager:32164:MainThread @connection.py:561 - Response: status=200, request="GET /subscription/"
2017-12-07 17:51:28,744 [INFO] subscription-manager:32164:MainThread @connection.py:561 - Response: status=204, request="PUT /subscription/consumers/ee0c2af7-45c6-4c08-86e2-651d36eab52d/packages"
2017-12-07 17:51:28,780 [INFO] subscription-manager:32164:MainThread @dmiinfo.py:75 - Using dmidecode dump file: /dev/mem
2017-12-07 17:51:28,823 [INFO] subscription-manager:32164:MainThread @managercli.py:1175 - System registered, updating entitlements if needed
2017-12-07 17:51:31,667 [INFO] subscription-manager:32164:MainThread @connection.py:561 - Response: status=200, requestUuid=f4da0a5e-2774-4e36-9fbd-7e24101e047e, request="GET /subscription/consumers/ee0c2af7-45c6-4c08-86e2-651d36eab52d/certificates/serials"
2017-12-07 17:51:31,668 [INFO] subscription-manager:32164:MainThread @entcertlib.py:131 - certs updated:
Total updates: 0
Found (local) serial# []
Expected (UEP) serial# []
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
2017-12-07 17:51:35,127 [INFO] subscription-manager:32164:MainThread @connection.py:561 - Response: status=200, requestUuid=4c2212d6-25c0-4e99-a405-89fb8ad39b14, request="GET /subscription/status"
2017-12-07 17:51:37,973 [INFO] subscription-manager:32164:MainThread @connection.py:561 - Response: status=200, requestUuid=d53c50bf-afd4-4bd2-b9cb-87e8d210d460, request="GET /subscription/consumers/ee0c2af7-45c6-4c08-86e2-651d36eab52d/compliance"
2017-12-07 17:51:37,975 [INFO] subscription-manager:32164:MainThread @cert_sorter.py:205 - Product status: valid_products= partial_products= expired_products= unentitled_producs=69 future_products= valid_until=None
2017-12-07 17:51:40,776 [INFO] subscription-manager:32164:MainThread @connection.py:561 - Response: status=200, requestUuid=9a122ee8-44ec-4006-91f4-f736ce76c7f2, request="GET /subscription/consumers/ee0c2af7-45c6-4c08-86e2-651d36eab52d"
2017-12-07 17:51:40,778 [INFO] subscription-manager:32164:MainThread @managercli.py:203 - Attempted to auto-attach/heal the system.
2017-12-07 17:51:40,829 [INFO] rhsmd:31581:MainThread @connection.py:841 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ insecure=False
2017-12-07 17:51:43,662 [INFO] rhsmd:31581:MainThread @connection.py:561 - Response: status=200, requestUuid=fafc4e63-22da-4431-ad4a-8a8cb2017fae, request="GET /subscription/consumers/ee0c2af7-45c6-4c08-86e2-651d36eab52d/compliance"
2017-12-07 17:51:43,664 [INFO] rhsmd:31581:MainThread @cert_sorter.py:205 - Product status: valid_products= partial_products= expired_products= unentitled_producs=69 future_products= valid_until=None

Comment 8 errata-xmlrpc 2018-04-10 09:52:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0681


Note You need to log in before you can comment on or make changes to this bug.